Lost minimize, maximize and close buttons in firefox 21.0 after updating drivers. Please help!

Asked by Dianne Meyers on 2013-06-18

My firefox 21.0 was slow and I read in the firefox support to update drivers so I did. Since then, I lost the minimize, maximize and close buttons in firefox 21.0 that are always on the upper right hand corner of firefox. I uninstalled firefox and reinstalled it in ubuntu software, but I still don't have the maximize, minimize and close buttons on the upper right hand corner. I really need these. I also need the addon that will allow me to restore my open web pages as I had before, after I minimized these pages. Please help me get these back asap! Thank you

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu synaptic Edit question
Assignee:
No assignee Edit question
Last query:
2013-06-20
Last reply:
2013-06-20

What is the output of:

lsb_release -a; uname -a; apt-cache policy firefox

Thanks

Dianne Meyers (demanett1954) said : #2

Can I just type in restore firefox in the terminal or are there repositiories or something missing?

Dianne Meyers (demanett1954) said : #3

Do I type this lsb_release -a; uname -a; apt-cache policy firefox into the terminal?

Dianne Meyers (demanett1954) said : #4

12No LSB modules are available.
Distributor ID: Ubuntu
Andrew Here is what I found
Description: Ubuntu 12.04.2 LTS
Release: 12.04
Codename: precise
Linux task-EP140AA-ABA-s7320n 3.2.0-48-generic-pae #74-Ubuntu SMP Thu Jun 6 20:05:01 UTC 2013 i686 i686 i386 GNU/Linux
34firefox:
  Installed: 21.0+build2-0ubuntu0.12.04.3
  Candidate: 21.0+build2-0ubuntu0.12.04.3
  Version table:
 *** 21.0+build2-0ubuntu0.12.04.3 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main i386 Packages
        100 /var/lib/dpkg/status
     11.0+build1-0ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
task@task-EP140AA-ABA-s7320n:~$

Dianne Meyers (demanett1954) said : #5

Andrew Here is what I found:

12No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.2 LTS
Release: 12.04
Codename: precise
Linux task-EP140AA-ABA-s7320n 3.2.0-48-generic-pae #74-Ubuntu SMP Thu Jun 6 20:05:01 UTC 2013 i686 i686 i386 GNU/Linux
34firefox:
  Installed: 21.0+build2-0ubuntu0.12.04.3
  Candidate: 21.0+build2-0ubuntu0.12.04.3
  Version table:
 *** 21.0+build2-0ubuntu0.12.04.3 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main i386 Packages
        100 /var/lib/dpkg/status
     11.0+build1-0ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
task@task-EP140AA-ABA-s7320n:~$

What do I need to do now? Please advise asap. Thank you

N1ck 7h0m4d4k15 (nicktux) said : #6

Please give the results of commands below also.

    lspci -nnk | grep -iA2 vga
    echo $DESKTOP_SESSION

Regards
 NikTh

Does it only affect firefox, or does it affect other applications?

Thanks

Dianne Meyers (demanett1954) said : #8

The problem with no minimizing, maximizing and no close buttons affects all applications!

NikTh:
I will copy your info. into the terminal and post in just a couple of minutes. Thank you both. I really need this resolved as soon as possible as I am doing resumes, etc. and it's difficult without these buttons. Thanks, Dianne

Dianne Meyers (demanett1954) said : #9

NikTh:
Here is the info. from your command:

task@task-EP140AA-ABA-s7320n:~$ lspci -nnk | grep -iA2 vga
00:02.0 VGA compatible controller [0300]: Intel Corporation 82915G/GV/910GL Integrated Graphics Controller [8086:2582] (rev 04)
 Subsystem: Hewlett-Packard Company Device [103c:2a2d]
 Kernel driver in use: i915
task@task-EP140AA-ABA-s7320n:~$ echo $DESKTOP_SESSION
gnome-classic

Dianne Meyers (demanett1954) said : #10

I am still needing help with this please! Can we please check in the terminal to see if I have too many drivers installed because this is when the problem started. I installed a few more drivers and another problem I am having is that when I need to use the restart button, my ubuntu won't restart on its own. I always now have to shut my computer down and my computer is so slow now. Also, maybe I have too many addons or extensions or something. Can we please check the addons and extensions? Please help me with this issue asap. Thank you, Dianne

Dianne Meyers (demanett1954) said : #11

What does this mean? 12No LSB modules are available. (This is from what I copied from the terminal earlier.)

Dianne Meyers (demanett1954) said : #12

I found this info. on the firefox website. Hello. The "Undo Closed Tab" Disabled And I Cannot Use That My Firefox Version is 21.0
Chosen solution
by cor-el

You can check these prefs on the about:config page:

    browser.sessionstore.max_tabs_undo
    browser.sessionstore.max_windows_undo

I checked the browser.sessionstore.max_tabs_undo and it is in the undo default, but when I checked the browser.sessionstore.max_windows_undo, nothing was there!

And, what about this below:
    http://kb.mozillazine.org/about:config

Please help me soon! Thanks, Dianne

Dianne Meyers (demanett1954) said : #13

I also checked in the config. and there is nothing under the browser.tab either.

N1ck 7h0m4d4k15 (nicktux) said : #14

If this problem affects all other applications , then is not Firefox's specific. Do not search about Firefox in Web, but for minimize,maximize,close buttons in gnome-classic environment you use.

Give this command in terminal and post back the results.. (also logout-login to see any changes)

    gconftool-2 --set "/apps/metacity/general/button_layout" --type string ":minimize,maximize,close"

Regards
 NikTh

Dianne Meyers (demanett1954) said : #15

Thank you Nik! I will do this, but now I have another problem. While checking in windows about the minimize, maximize and close buttons, I searched in the synaptic manager under windows and installed a few things and now I don't have network enabled. Can you please help me to enable my network? (I tried to install the gnome-network-admin in the ubuntu software, but it wouldn't do anything and I tried in the synaptic manager, but got a message saying this is not authenticated and could cause problems if installed so I didn't do this. I don't know how my network is not enabled now. Says I don't have internet on my ubuntu, but I am on the wireless network on another computer here at home and it obviously works fine on this computer. Can you help me out asap please so I can then copy your message above and get this into the ubuntu terminal. Thank you

Dianne Meyers (demanett1954) said : #16

I found this info. from 3 people about a networking issue that was posted on another ubuntu website. Will any of these work to reconnect my network? Please advise asap! Thank you, Dianne

Also, not sure if it will help fix the problem, but here is the ifconfig information;

eth0 Link encap:Ethernet HWaddr 00:22:68:51:38:71
          inet6 addr: fe80::222:68ff:fe51:3871/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1443 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:307663 (307.6 KB)
          Interrupt:43

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:16 errors:0 dropped:0 overruns:0 frame:0
          TX packets:16 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:1184 (1.1 KB) TX bytes:1184 (1.1 KB)

wlan0 Link encap:Ethernet HWaddr 00:60:b3:eb:9c:4e
          inet addr:192.168.0.203 Bcast:192.168.0.255 Mask:255.255.255.0
          inet6 addr: fe80::260:b3ff:feeb:9c4e/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:9058 errors:0 dropped:0 overruns:0 frame:0
          TX packets:9780 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:4498374 (4.4 MB) TX bytes:1282373 (1.2 MB)

Dianne Meyers (demanett1954) said : #17

Also, maybe I have too many things installed from windows for the system tray and maybe too many drivers or something? Please advise. Thanks, Dianne

N1ck 7h0m4d4k15 (nicktux) said : #18

If you installed wicd , then remove it. NetworkManager and wicd together maybe conflict.

Lets see some info ..

    apt-cache policy wicd
    rfkill list all
    lspci -nnk | grep -iA2 net
    nmcli nm status

Above commands are for the network, but HEY if the problem with window buttons is solved then please mark this question as solved ("This solved my question" button) and open a new one about the Network.

Regards
 NikTh

Dianne Meyers (demanett1954) said : #19

Nik, I have ubuntu 12.04 Ultimate Edition 3.4 LTS if this helps. I will also copy and paste this info. and open a new question, but I don't know if the buttons issue is resolved because I don't have internet on ubuntu. I will start a new question with this network thing though, but until this is solved, I won't know if the buttons issue is taken care of. Thank you! I have 2 networks connected to my computer. My wired connection wich is ubuntu, that I use for a LAN, or wired connection and another computer that is wireless. I do have wireless, but Ubuntu worked perfect before and for some time after installing the wireless. Only have this problem after upgrading on windows and I have seen on other ubuntu sites where other people have had this same problem. I have tried everything! It says the network manager is running and I get a message after restarting that says, "waiting for network configuration" which I never had before. It also asked me if I wanted to delete a applet upon start after I went to terminal and typed in sudo start network-manager. I also tried to install network manager, but it says warning this is not authenticated and could cause problems so I did not reinstall. Here are some stats for you:

Config. Info.:

eth0 Link encap:Ethernet HWaddr 00:17:31:11:45:66
          inet6 addr: fe80::217:31ff:fe114566/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:3errors:0 dropped:0 overruns:0 frame:0
          TX packets:22 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:492(492.0 B) TX bytes:5970(5.9KB)

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:1868errors:0 dropped:0 overruns:0 frame:0
          TX packets:1868 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:306081 (306.0KB) TX bytes:306081 (306.0KB)

virbr0 Link encap: Ethernet HWaddr 02:fa:db:81:4c:34
inet addr: 192.168.122.1 Bcast: 192:168.122.255 Mask: 255.255.255.0
UP BROADCAST MULTICAST MTU: 1500 Metric: 1
RX packets: 0 errors:0 dropped:0 overruns:0 frame:0
TX packets: 0 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:0
RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

Info. you requested for:
 apt-cache policy wicd
    rfkill list all
    lspci -nnk | grep -iA2 net
    nmcli nm status
wicd:
Installed: (none)
Candidate: 1.7.2.3-1 ubuntu0.1
Version table:
1.7.2.3-1 ubuntu0.1 0
500 http://us.archive.ubuntu.com/ubuntu/ precise-updates/universe i386 Packages
500 http://security.ubuntu.com/ubuntu/ precise-security/universe i386 Packages
1.7.2.3-1 0
500 http://us.archive.ubuntu.com/ubuntu/ precise/universe i386 Packages
rfkill:
Installed: 0.4-1 ubuntu2
Candidate: 0.4-1 ubuntu2
Version table:
***0.4-1 ubuntu2 0
500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
100/var/lib/dpkg/status
N: Unable to locate package list
N: Unable to locate package all
N: Unable to locate package lspci-nnk
N: Unable to locate package grep-iA2
N: Unable to locate package net
N: Unable to locate package nmcli
N: Unable to locate package nm
N: Unable to locate package status

I sure hope you can fix this asap as I am out of work and desperately need to get this up and going as all my resumes, etc. are on here to upload for jobs! Thank you, Dianne

N1ck 7h0m4d4k15 (nicktux) said : #20

Now, I understand. I just rejected you other question. :P

Other derivatives (other flavors) of Ubuntu could use other tools and packages than Ubuntu suggests (than Ubuntu have pre-installed). So we cannot support all the derivatives of Ubuntu here (they are hundreds of them)

So Launchpad Answers tracker (and similar Official pages such as: Askubuntu.com) support ONLY the recognized Ubuntu flavors.
See the list here:
http://www.ubuntu.com/about/about-ubuntu/derivatives

I suggest you to close this question and open a new one in the Ultimate Edition Help desk.. they will be able to help you better than we can.

Regards
 NikTh

Can you help with this problem?

Provide an answer of your own, or ask Dianne Meyers for more information if necessary.

To post a message you must log in.